@import url("https://fonts.googleapis.com/css2?family=Inter:wght@600&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/*********************************************************/
/*************************classes*************************/
/*********************************************************/
:root {
  /* colors */
  --purple: #401b9c;
  --light-purple: #5624d0;
  --dark-grey: #1c1d1f;
  --light-grey: #ececec;
  --grey: #6a6f73;
  --light-blue: #f7f9fa;

  /* font sizes */
  --xlarge-font: 1.9rem;
  --large-font: 1.6rem;
  --medium-font: 1.4rem;
  --small-font: 1.2rem;

  /* font-weight */
  --light-weight: 100;
  --medium-weight: 700;
  --bold-weight: bolder;

  /* fixed gaps */
  --medium-gap: 1.6rem;
  --vertical-pad: 3.2rem;

  /* utilities */
  --shadow: 0 2px 4px rgb(0 0 0 / 8%), 0 4px 12px rgb(0 0 0 / 8%);
}

@font-face {
  font-family: SuisseWorks;
  src: url(../fonts/SuisseWorks-Bold-v1.woff2);
}

@font-face {
  font-family: Udemy;
  src: url(../fonts/Udemy-Sans-Regular-v1.woff2);
}

html {
  font-size: 62.5%;
}
body {
  padding-top: 6.7rem;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Udemy;
  color: var(--dark-grey);
}

h1,
h2 {
  font-family: SuisseWorks;
  font-size: 3.2rem;
}

h3 {
  font-size: 2.4rem;
  font-weight: var(--medium-weight);
}

h4 {
  font-weight: var(--medium-weight);
  line-height: 1.2;
  letter-spacing: -0.1rem;
  font-size: var(--large-font);
}

p {
  font-size: var(--large-font);
}

a {
  text-decoration: none;
}

a:hover,
button[type="submit"]:hover {
  color: var(--purple);
}

ul {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

li {
  list-style: none;
  display: inline-flex;
  align-items: center;
}

section,
section.container,
footer {
  margin-top: 5rem;
}

button,
input {
  background-color: transparent;
  border: 0px;
}

button,
.btn,
a {
  cursor: pointer;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 1, "wght" 700, "GRAD" 0, "opsz" 48;
}

.empty_star {
  font-variation-settings: "FILL" 0;
}

/* special texts(spans) */
.utility-comment {
  color: var(--grey);
}

.badge {
  background-color: #eceb98;
  color: #3d3c0a;
  font-size: 1.2rem;
  font-weight: var(--medium-weight);
  padding: 0.6rem 0.4rem;
}

/* buttons */
.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 4rem;
  min-width: 8rem;
  font-size: var(--medium-font);
  padding: 0 1.2rem;
  font-weight: var(--bold-weight);
  background-color: transparent;
  border: 1px solid var(--dark-grey);
}

.btn:hover {
  background-color: var(--light-grey);
  color: var(--dark-grey);
}

.btn.black:hover {
  background-color: black;
  color: white;
}

.btn.sm {
  min-width: 4rem;
  font-weight: var(--medium-weight);
}

.btn.black {
  background-color: var(--dark-grey);
  color: white;
}

/* icons */
.material-symbols-outlined {
  font-weight: var(--bold-weight);
  line-height: inherit;
  font-size: 2.4rem;
}

/* hover cards */
.hover-card {
  position: relative;
}

.hover-card .card {
  width: 25rem;
  position: absolute;
  top: 6.7rem;
  right: 0;
  display: none;
}
.dropdown-pad {
  padding-bottom: 4rem !important;
}

.hover-card .card .card-content {
  text-align: center;
  padding: 1rem;
  margin-top: 0.7rem;
}

.hover-card .card p {
  font-size: var(--large-font);
  font-weight: var(--light-weight);
  padding-bottom: 1rem;
}

.hover-card .card:hover,
.hover-card:hover .card {
  display: block;
}

.shadow,
.card-content {
  background-color: white;
  box-shadow: var(--shadow);
}

/* hover nav */
.hover-nav .card {
  left: 0;
}

.hover-nav .card .card-content ul {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2rem;
  padding: 1.2rem 0.7rem;
}

.hover-nav .card .card-content ul li::after {
  content: "";
  border: solid var(--dark-grey);
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 2px;
  transform: rotate(-45deg);
  position: absolute;
  right: 2.4rem;
  cursor: pointer;
}

.hover-nav .card .card-content ul li:hover::after {
  border-color: var(--purple);
}
.card-content p {
  font-weight: 700;
  font-style: bold;
  font-size: 1.9rem;
  line-height: 1.2;
}
.shopping a {
  font-weight: bold;
  color: #401b9c;
}

/* responsive classes */
.container {
  max-width: 134rem;
  margin: auto;
  display: flex;
  justify-content: space-around;
  gap: var(--medium-gap);
  padding: 1rem 2rem;
  flex-direction: column;
  align-items: flex-start;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  gap: 3.2rem var(--medium-gap);
  width: 100%;
}

.grid-container > * {
  width: 85%;
}

.grid-container > * img {
  width: 100%;
  min-width: 195px;
  max-width: 240px;
}

/************************************************************/
/*************************Navigation*************************/
/************************************************************/

.main-nav {
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 0 2.4rem;
  gap: 1rem;
  height: 6.7rem;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 99;
}

.main-nav .menu-content {
  font-size: var(--medium-font);
  flex-grow: 1;
  align-items: center;
  display: inline-flex;
}

.main-nav .menu-content > * {
  height: 6.7rem;
  align-items: center;
  display: inline-flex;
}

.main-nav form {
  flex-grow: 100;
}

.main-nav form {
  display: flex;
}

.main-nav form .search-bar {
  border-width: 2px;
  border-style: solid;
  border-radius: 50px;
  flex-grow: 1;
  display: flex;
  padding: 0px 10px;
  margin: 7px;
  background-color: var(--light-grey);
}

.main-nav form .search-bar input {
  width: 100%;
  height: 100%;
  padding: 12px 3px;
  outline: 0px;
}

.main-nav ul {
  padding-left: 20px;
  justify-content: space-around;
  gap: 0.7rem;
}

.main-nav .link-lists {
  gap: 1.8rem;
}

.main-nav ul li {
  height: 100%;
}

.hamburger,
.hamburger-checkbox {
  display: none;
}
.previousPrice {
  margin-left: 3px;
  text-decoration: line-through;
  font-size: 1.5rem;
  color: var(--grey);
}

/* responsive navigation bar*/
@media only screen and (max-width: 1200px) {
  /* For medium screen: */
  .main-nav .menu-content .link-lists {
    display: none;
  }
}

@media only screen and (max-width: 768px) {
  /* For mobile phones: */
  .main-nav {
    justify-content: space-between;
    flex-direction: row-reverse;
  }

  .main-nav > * {
    flex-grow: 0;
  }

  .main-nav .menu-content {
    display: none;
  }

  .hamburger {
    display: inherit;
  }
}

.hamburger-checkbox:checked ~ .menu-content {
  width: 100%;
  position: absolute;
  top: 6rem;
  left: 0;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: baseline;
  padding: 2rem 0;
  gap: var(--medium-gap);
  box-shadow: var(--shadow);
}

.hamburger-checkbox:checked ~ .menu-content > * {
  height: auto;
  margin: auto;
  display: initial;
  text-align: center;
  width: 100%;
}

.hamburger-checkbox:checked ~ .menu-content > * {
  height: auto;
  margin: auto;
  display: initial;
  text-align: center;
  width: 100%;
}

.hamburger-checkbox:checked ~ .menu-content .hover-card .card {
  display: none;
}

.hamburger-checkbox:checked ~ .menu-content ul {
  display: flex;
  flex-direction: column;
  padding: 0;
}

/********************************************************/
/*************************Header*************************/
/********************************************************/
header .container {
  background-color: var(--light-grey);
  background-image: url("/imgs/header-bg.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 5rem 1rem;
  flex-direction: column;
  height: 60vh;
}

header .container .header-badge {
  margin-left: 50px;
}
header .container .header-badge p {
  font-weight: normal;
}

header .container .card-content {
  padding: 40px 15px;
  width: 100vw;
  max-width: 44rem;
}

header .container .card p {
  padding: 10px 0px;
  font-size: var(--large-font);
}

/*****************************************************************/
/*************************Courses Section*************************/
/*****************************************************************/

.courses-section {
  flex-direction: column;
  align-items: flex-start;
  padding-top: 3rem;
}

.course-content {
  display: none;
}

.courses-section > p {
  font-size: var(--xlarge-font);
}

/* courses nav bar */
.courses-section > nav > ul {
  font-size: var(--large-font);
  font-weight: var(--bold-weight);
  overflow: hidden;
  flex-wrap: wrap;
  gap: 1rem 4.6rem;
  max-height: 2rem;
}

.courses-section li label {
  color: var(--grey);
  cursor: pointer;
}

.radio-custom ~ label:hover {
  color: black;
}
.radio-custom:checked ~ label {
  color: red;
}

/* bordered container */
.courses-section .container {
  border: 1px solid #d1d7dc;
  padding: 3.2rem 3rem;
  width: 100%;
}

.courses-section .container > p {
  max-width: 80rem;
}

/* courses */
.course {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.7rem;
  max-width: 240px;
}

.rating,
.course-name,
.price {
  font-weight: var(--bold-weight);
  font-size: var(--large-font);
}

.rating-description {
  display: flex;
  align-items: center;
  gap: 0.4rem;
}

.rating-description .rating {
  color: #b4690e;
}

.stars span {
  color: #e59819;
  font-size: var(--medium-font);
}

/**********************************************************/
/*************************Feauters*************************/
/**********************************************************/
.feauters {
  background-color: var(--light-blue);
  padding: 1rem 0;
}

.feauters ul {
  width: 100%;
  justify-content: space-between;
  gap: 3rem var(--medium-gap);
  flex-wrap: wrap;
}

.feauters ul li {
  max-width: 33rem;
}

.circle span {
  background-color: #d1d7dc;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.circle ~ strong {
  font-size: var(--large-font);
  margin-left: 1rem;
}

/************************************************************/
/*************************categories*************************/
/************************************************************/

.categories ul {
  flex-wrap: wrap;
  justify-content: space-between;
  gap: var(--medium-gap);
}

.categories ul li {
  flex-direction: column;
  align-items: flex-start;
}

.categories ul li img {
  width: 20vw;
  min-width: 130px;
  max-width: 300px;
}

.img-wrapper {
  display: inline-block;
  overflow: hidden;
}

.img-wrapper img {
  transition: transform 100ms cubic-bezier(0.2, 0, 1, 0.9);
}

.img-wrapper img:hover {
  transform: scale(1.1);
}

/*****************************************************************/
/*************************feauters-topics*************************/
/*****************************************************************/

.feauters-topics {
  background: var(--light-blue);
  padding: 5rem 1rem;
}

.main-list {
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  justify-items: start;
  align-items: baseline;
}

.main-list li {
  flex-direction: column;
  align-items: flex-start;
}

.main-list .sub-lists ul {
  flex-direction: column;
  align-items: flex-start;
}

.feauters-topics ul li a {
  text-decoration: underline;
  font-size: var(--large-font);
  font-weight: var(--medium-weight);
  padding: 2.3rem 0 1rem 0;
}

.feauters-topics ul li a:not(:hover) {
  color: var(--light-purple);
}

.feauters-topics ul li a ~ span {
  font-size: var(--medium-font);
}

@media only screen and (max-width: 760px) {
  /* For medium screen: */
  .feauters-topics .main-list h4 {
    font-size: var(--medium-font);
  }
  .feauters-topics ul li a {
    font-size: var(--small-font);
  }
  .feauters-topics ul li a ~ span {
    font-size: 1rem;
  }
}

/************************************************************/
/*************************Instructor*************************/
/************************************************************/
.instructor {
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  gap: 1rem 9rem;
}

.instructor img {
  width: 25vw;
  min-width: 250px;
  max-width: 400px;
}

.instructor .details {
  max-width: 45rem;
}

.instructor .details p {
  font-size: var(--xlarge-font);
  margin-bottom: var(--medium-gap);
}

/* business */

@media only screen and (min-width: 1000px) {
  /* For medium screen: */
  .instructor {
    flex-direction: row;
    text-align: left;
  }

  .business {
    flex-direction: row-reverse;
  }
}

/***********************************************************/
/*************************companies*************************/
/***********************************************************/
.companies {
  background-color: var(--light-blue);
  padding: 2rem 0;
}

.companies h2 {
  font-size: 2.4rem;
}

.companies .container {
  align-items: center;
  text-align: center;
}
.companies-li {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  margin: 0 auto;
  justify-items: center;
}
@media only screen and (max-width: 820px) {
  /* For medium screen: */
  .companies-li {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media only screen and (max-width: 420px) {
  /* For small screen: */
  .companies-li {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 380px) {
  /* For small screen: */
  .companies-li {
    display: block;
  }
  .companies-li li {
    display: block;
  }
}
/********************************************************/
/*************************Footer*************************/
/********************************************************/

/* layout */
footer {
  background: var(--dark-grey);
  padding: 4rem 0 1rem 0;
}

footer .container {
  flex-direction: row;
  justify-content: space-between;
}

footer .links-language {
  padding-bottom: 7rem;
  flex-wrap: wrap;
}

footer .links-language ul {
  flex-direction: column;
  align-items: flex-start;
  flex-grow: 1;
}

.language-container {
  flex-grow: 5;
  display: inline-flex;
  flex-direction: row-reverse;
}

/* language button */
.language-container .btn {
  border-color: white;
  padding: 0 3rem 0 1rem;
}

.language-container .btn span {
  color: white;
  font-weight: var(--light-weight);
  font-size: var(--large-font);
  margin-right: 1rem;
}

/* links */
footer .links-language ul li a {
  font-size: var(--medium-font);
  padding: 0.4rem 0;
  color: white;
}

footer .links-language ul li a:hover {
  color: white;
  text-decoration: underline;
}

.copyright span {
  color: white;
  font-size: 1.2rem;
}
